Loading...
Searching...
No Matches
Opm::SatBC Class Reference

A class for representing a saturation boundary condition. More...

`#include <BoundaryConditions.hpp>`

Inheritance diagram for Opm::SatBC:

## Public Member Functions

| SatBC ()
| Default constructor, that makes a Dirichlet condition with value 1.0.
| SatBC (BCType type, double value)
| Constructor taking a type and value.
double | saturation () const
| Query a Dirichlet condition.
double | saturationDifference () const
| Query a Periodic condition.
Public Member Functions inherited from Opm::BCBase< double >
void | write (std::basic_ostream< charT, traits > &os) const
| Write type and value to an output stream.

## Additional Inherited Members

Public Types inherited from Opm::BCBase< double >
enum | BCType
| Enum for the allowed boundary condition types. More...
Protected Member Functions inherited from Opm::BCBase< double >
| BCBase ()
| Default constructor, that makes a Neumann condition with value 0.0.
bool | isDirichlet () const
| Type query.
bool | isNeumann () const
| Type query.
bool | isPeriodic () const
| Type query.
Protected Attributes inherited from Opm::BCBase< double >
BCType | type_
double | value_

## Detailed Description

A class for representing a saturation boundary condition.

## Constructor & Destructor Documentation

## SatBC()

Opm::SatBC::SatBC | ( | BCType | type,
|  | double | value )

inline

Constructor taking a type and value.

Parameters

  type | the condition type.
  value | the condition value.

## Member Function Documentation

## saturation()

double Opm::SatBC::saturation | ( |  | ) | const

inline

Query a Dirichlet condition.

Returns
  the boundary saturation value

## saturationDifference()

double Opm::SatBC::saturationDifference | ( |  | ) | const

inline

Query a Periodic condition.

Returns
  the saturation difference value.

The documentation for this class was generated from the following file:

- opm/porsol/common/BoundaryConditions.hpp